package main

import (
	"embed"
	"userdata-decrypter/backend"

	"github.com/wailsapp/wails/v2"
	"github.com/wailsapp/wails/v2/pkg/options"
)

//go:embed all:frontend/dist
var assets embed.FS

func main() {
	app := backend.NewDecryptor()

	err := wails.Run(&options.App{
		Title:                    "Your gold userdata decryptor",
		Width:                    1024,
		Height:                   786,
		Assets:                   assets,
		OnStartup:                app.OnStartup,
		Bind:                     []interface{}{app},
		Frameless:                false,
		DisableResize:            false,
		EnableDefaultContextMenu: true,
	})

	if err != nil {
		panic(err)
	}
}
